terraform {
  required_providers {
    hcloud = {
      source = "hetznercloud/hcloud"
      version = "1.57.0"
    }
    netbox = {
      source = "e-breuninger/netbox"
      version = "5.0.0"
    }
  }
}

provider "hcloud" {
  token = var.hetzner_api_token
}

provider "netbox" {
  server_url = var.netbox_url
  api_token  = var.netbox_api_token
}